Search files
PreviewManage execution sessions and rooms, and their files, tasks, storage, databases and managed sandboxes.
POST
/v1/workspaces/{workspace_id}/fs/_/grepSee authentication for credentials and permissions.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
string
Workspace ID (wsp_<32-hex>)
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
path_pattern
Optional path glob (**/*.rs, docs/*.md).
string | null
pattern
required
Regex pattern to search for.
string
Example generated
{ "path_pattern": "example", "pattern": "example"}Responses
200Search results
Search results
Media typeapplication/json
Response wrapper for list endpoints.
All list endpoints return responses wrapped in a data field.
object
data
required
Array of items returned by the list operation.
Array<object>
Grep result for a file
object
matches
required
Array<object>
Grep match result
object
line
required
string
line_number
required
integer
path
required
string
path
required
string
Example generated
{ "data": [ { "matches": [ { "line": "example", "line_number": 1, "path": "example" } ], "path": "example" } ]}400Invalid regex pattern
Invalid regex pattern
500Internal server error
Internal server error